Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class NormalizerPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn
              org.joone.util.NormalizerPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class NormalizerPlugIn

extends ConverterPlugIn

Normalizes the input data within a predefined range Creation date: (23/10/2000 23.23.25)

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`NormalizerPlugIn()` NormalizerPlugIn constructor

Method Summary
`protected boolean` | `convert(int serie)` Start the convertion
`double` | `getDataMax()` Gets the max value of the input data Creation date: (23/10/2000 23.25.55)
`double` | `getDataMin()` Gets the min value of the input data Creation date: (23/10/2000 23.25.32)
`double` | `getMax()` Gets the max value Creation date: (23/10/2000 23.25.55)
`double` | `getMin()` Gets the min value Creation date: (23/10/2000 23.25.32)
`void` | `setDataMax(double newDataMax)` Sets the max value of the input data.
`void` | `setDataMin(double newDataMin)` Sets the min value of the input data Note : The DataMin and DataMax values should be set to 99999 and -99999 respectively if the user requires that this plugin uses the min , max values found in the serie.
`void` | `setMax(double newMax)` Sets the max value of the normalization range Creation date: (23/10/2000 23.25.55)
`void` | `setMin(double newMin)` Sets the min value of the normalization range Creation date: (23/10/2000 23.25.32)

Methods inherited from class org.joone.util.ConverterPlugIn
`isApplyEveryCycle, newCycle, setApplyEveryCycle`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizerPlugIn

    public NormalizerPlugIn()

  NormalizerPlugIn constructor

Method Detail

### convert

    protected boolean convert(int serie)

  Start the convertion

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - the serie to convert

### getMax

    public double getMax()

  Gets the max value Creation date: (23/10/2000 23.25.55)

  Returns:
    float

### getMin

    public double getMin()

  Gets the min value Creation date: (23/10/2000 23.25.32)

  Returns:
    float

### setMax

    public void setMax(double newMax)

  Sets the max value of the normalization range Creation date: (23/10/2000 23.25.55)

  Parameters:
    `newMax` - float

### setMin

    public void setMin(double newMin)

  Sets the min value of the normalization range Creation date: (23/10/2000 23.25.32)

  Parameters:
    `newMin` - float

### getDataMax

    public double getDataMax()

  Gets the max value of the input data Creation date: (23/10/2000 23.25.55)

  Returns:
    double The maximum value of the input data.

### getDataMin

    public double getDataMin()

  Gets the min value of the input data Creation date: (23/10/2000 23.25.32)

  Returns:
    double The minimum value of the input data.

### setDataMax

    public void setDataMax(double newDataMax)

  Sets the max value of the input data. Note : The DataMin and DataMax values should be set to 99999 and -99999 respectively if the user requires that this plugin uses the min , max values found in the serie. Creation date: (23/10/2000 23.25.55)

  Parameters:
    `newMax` - double The maximum value of the input data.

### setDataMin

    public void setDataMin(double newDataMin)

  Sets the min value of the input data Note : The DataMin and DataMax values should be set to 99999 and -99999 respectively if the user requires that this plugin uses the min , max values found in the serie. Creation date: (23/10/2000 23.25.32)

  Parameters:
    `newDataMin` - double The minimum value of the input data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net